<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Dashboard</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="card in cardsPerfil"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center white--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="white--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
export default {
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Sistema de Información",
          disabled: false,
          exact: true,
          to: {
            name: "sistema_informacion",
          },
        },
        {
          text: "Dashboard",
          disabled: true,
        },
      ],
      
    };
  },

  computed: {
        cardsPerfil() {
          let dashboard;
          store.state.perfiles.forEach((item) => {
            if (item.perfil.id_perfil == 340) {
                 dashboard = [
                   {
                      title: "Semáforos",
                      src: require("@/assets/img/disciplinas-b.svg"),
                      description: "Administra y gestiona los semaforos",
                      to: {
                        name: "sistema_informacion_dashboard_v2_semaforos",
                      },
                      color: "#494949",
                    },
                    {
                title: "Graficas",
                src: require("@/assets/img/disciplinas-b.svg"),
                description: "Administra y gestiona las graficas",
                to: {
                  name: "sistema_informacion_dashboard_v2_graficas",
                },
                color: "#494949",
              },
                    {
                      title: "Disciplinas",
                      src: require("@/assets/img/disciplinas-b.svg"),
                      description: "Si deseas ver informes mas directos por disciplina.",
                      to: {
                        name: "sistema_informacion_dashboard_v2_disciplinas",
                      },
                      color: "#494949",
                    },
                      ];
              }

              if (item.perfil.id_perfil == 339) {
                 dashboard = [
                   
                    {
                      title: "Disciplinas",
                      src: require("@/assets/img/disciplinas-b.svg"),
                      description: "Si deseas ver informes mas directos por disciplina.",
                      to: {
                        name: "sistema_informacion_dashboard_v2_disciplinas",
                      },
                      color: "#494949",
                    },
                      ];
              }
              

          });
          let  cards = [
              
                     ...dashboard,
              
            ];
          return cards;
        },
      },

};
</script>
